import java.io.*;

/**
 * Первый пример использования потоков ввода-вывода символов
 * */
public class Main {
    public static void main(String[] args) throws IOException {
        /*Создаем ссылку на стандартный поток ввода*/
        InputStream inputStream = System.in;
        /*Создаем ридер для чтения из inputStream*/
        InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
        /*На основе inputStreamReader создаем объект класса BufferedReader*/
        BufferedReader in = new BufferedReader(inputStreamReader);

        /*Создаем ссылку на стандартный поток вывода*/
        OutputStream outputStream = System.out;
        /*На основе outputStream создаем объект класса PrintWriter*/
        PrintWriter out = new PrintWriter(outputStream);

        String line = "";
        /*Читаем каждую строку входного потока*/
        while ((line = in.readLine()) != null) {
            /*и пишем строку в выходной поток*/
            out.println(line);
        }

        /*Незабываем закрыть после работы потоки*/
        out.close();
        in.close();
    }
}
